Subject: RE: OCP Core: one service, two profiles

From: "Martin Stecher" <[email-masked]>
Date: Fri, 24 Oct 2003 23:09:39 +0200

> 
> > > Currently, profile result negotiation is attached to a 
> Service Group,
> > > which is, essentially, a service. The following is not 
> clear to me:
> > >
> > > 	- can two profiles be negotiated for the same group?
> >
> > Currently not.
> 
> We do not explicitly allow or prohibit this, right? Should I
> explicitly prohibit in the Core?

Maybe we should add to OCP core that only the last negotiated profile
for a service group is valid.

> 
> > Do you really think we need of a copy constructor of service groups?
> > I think that since service groups only need to be created at the
> > beginning of connections and these connections can then create any
> > number of transactions, optimization in this area is not critical.
> 
> Let's not optimize, then. The feature can be added later, if needed.

Agreed.

Martin

---

From: Alex Rousskov <[email-masked]>
Date: Fri, 24 Oct 2003 16:03:07 -0600 (MDT)

On Fri, 24 Oct 2003, Martin Stecher wrote:

> Maybe we should add to OCP core that only the last negotiated
> profile for a service group is valid.

Meaning that profile negotiation with SG parameter selects the current
profile? That is, the profile can be changed later? I am not sure I
like this because renegotiation would be messy when there are pending
transactions using the same service group but with the old profile.
The implementation would no longer be able to identify SG properties
based on sg-id. Do you see what I am getting at?

Alex.